- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Create PARAMHASH
  - id
  - Topic
  - SetTopic VALUE
  - TopicObj
  - ObjectType
  - SetObjectType VALUE
  - ObjectId
  - SetObjectId VALUE

# NAME

RT::ObjectTopic

# SYNOPSIS

# DESCRIPTION

# METHODS

## Create PARAMHASH

Create takes a hash of values and creates a row in the database:

      int(11) 'Topic'.
      varchar(64) 'ObjectType'.
      int(11) 'ObjectId'.

## id

Returns the current value of id. (In the database, id is stored as int(11).)

## Topic

Returns the current value of Topic. (In the database, Topic is stored as int(11).)

## SetTopic VALUE

Set Topic to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Topic will be stored as a int(11).)

## TopicObj

Returns the Topic Object which has the id returned by Topic

## ObjectType

Returns the current value of ObjectType. (In the database, ObjectType is stored as varchar(64).)

## SetObjectType VALUE

Set ObjectType to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, ObjectType will be stored as a varchar(64).)

## ObjectId

Returns the current value of ObjectId. (In the database, ObjectId is stored as int(11).)

## SetObjectId VALUE

Set ObjectId to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, ObjectId will be stored as a int(11).)

← Back to index